The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Delete Threat Feed

Prev Next

This URL deletes a specified threat feed.

Important

Before deleting a configured threat feed, you should check if any Sensor is assigned to that feed using Get Feed Assignments API. If any Sensors are found, you must de-assign them first using Edit Threat Feed - Device Assignments API.

Resource URL

DELETE threatfeedintelligence/deleteThreatFeed/{threatFeedId}

Request Parameters

Field Name

Description

Data Type

Mandatory

threatFeedId

Threat feed Id

Number

Yes

Response Parameters

Field Name

Description

Data Type

success

Success status (true or false)

Boolean

msg

Message

String

errMsg

Error message

String

errorCode

Error code

Number

Example

Request

DELETE https://<Manager_IP>/sdkapi/threatfeedintelligence/deleteThreatFeed/2

Response

{
    "success": true,
    "msg": null,
    "errMsg": null,
    "errorCode": 0
}

Error Information

The following error code is returned by this URL:

S.No

Generic Error Codes

ErrorMessage

Error Reason

1

1001

Bad URL - HTTP 404 Not Found

Mistyped URL

Internal Error – Null

Incorrect Input data, authentication issues